using System;

namespace Volpe.Cafe.UI
{
    /// <summary>
    /// Represents a generic event handler that accepts 1 or more arguments.
    /// </summary>
    public delegate void GenericEventHandler(params object[] args);

    /// <summary>
    /// Represents a generic event handler that accepts no arguments.
    /// </summary>
    public delegate void EmptyEventHandler();

    /// <summary>
    /// Represents a generic event handler that accepts a single message string argument.
    /// </summary>
    public delegate void StringMessageEventHandler(string message);
}
